%define packname zoo

Name: R-%{packname}
Version: 1.7.11
Release: 0.rhel6.lc
Summary: Z's ordered observations

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/zoo/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    tetex-latex

Requires(post):   R
Requires(postun): R

%description
R package:
An S3 class with methods for totally ordered indexed observations. 
It is particularly aimed at irregular time series of numeric vectors/matrices and factors. 
zoo's key design goals are independence of a particular index/date/time class and consistency with ts and base R by providing methods to extend standard generics.

%prep
%setup -q -c -n %{packname}
#Fix line endings
sed -i -e 's/\r//' zoo/inst/doc/zoo*.Rnw

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-,root,root,-)
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/WISHLIST
%doc %{_libdir}/R/library/%{packname}/TODO
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/zoo.so

%changelog
* Sun Jul 13 2014 Stuart Raeburn <raeburn@loncapa.org>
- Update to 1.7.11

* Thu Dec 24 2009 Stuart Raeburn <raeburn@loncapa.org> 
- Initial build 

